#
# spec file for package isomaster
#
# Copyright (c) 2016 Packman Team <packman@links2linux.de>
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2006-2013 oc2pus
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org
#


Name:           isomaster
Version:        1.3.13
Release:        1.10
License:        GPL-2.0
Summary:        Graphical CD image editor for reading, modifying and writing ISO images
Url:            http://littlesvr.ca/isomaster/
Group:          Productivity/Multimedia/Other
Source:         http://littlesvr.ca/isomaster/releases/%{name}-%{version}.tar.bz2
# PATCH-NEEDS-REBASE isomaster-fix-linker.patch malcolmlewis@opensuse.org -- Revert linking to previous version.
Patch0:         isomaster-fix-linker.patch
BuildRequires:  fdupes
BuildRequires:  pkg-config
BuildRequires:  update-desktop-files
BuildRequires:  zlib-devel
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(pango)
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
ISO Master is a graphical editor for ISO images with support for
ISO9660, RockRidge, and Joliet file names. It is useful for
extracting, deleting, or adding files and directories to or from
an ISO image.

%lang_package
%prep
%setup -q
#%%patch0 -p1

%build
make %{?_smp_mflags} \
	PREFIX=%{_prefix} \
	DEFAULT_EDITOR=kwrite

%install
%makeinstall \
	MYMANPATH=%{_mandir}/man1 \
	MYDOCPATH=%{_defaultdocdir}/bkisofs \
	PREFIX=%{_prefix}

# icon and menu-entry
install -Dm 644 icons/%{name}.png \
	%{buildroot}%{_datadir}/pixmaps/%{name}.png

sed -i -e 's|Icon=/usr/share/isomaster/icons/isomaster.png|Icon=isomaster|g' \
	%{buildroot}%{_datadir}/applications/%{name}.desktop
%suse_update_desktop_file -n %{name} AudioVideo AudioVideoEditing
%find_lang %{name} %{?no_lang_C}

%fdupes -s %{buildroot}%{_datadir}

%post
%desktop_database_post

%postun
%desktop_database_postun

%files
%defattr(-,root,root,-)
%doc *.TXT
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%doc %{_mandir}/man1/*
%doc %{_defaultdocdir}/bkisofs/

%files lang -f %{name}.lang

%changelog
* Thu Nov 17 2016 aloisio@gmx.com
- Update to version 1.3.13
  * Used the OSTD ( http://littlesvr.ca/ostd/ ) to add 77
    more translations: Afrikaans, Amharic, Aragonese,
    Armenian, Assamese, Azerbaijani, Basque, Belarusian,
    Bengali, Bosnian, Breton, Burmese, Central, Khmer, Cornish,
    Dzongkha, Esperanto, Fulah, Ganda, Georgian, Gujarati,
    Haitian, Hausa, Hindi, Icelandic, Ido, Igbo, Interlingua,
    Irish, Javanese, Kannada, Kanuri, Kazakh, Kinyarwanda,
    Kirghiz, Korean, Kurdish, Latin, Limburgan, Luxembourgish,
    Macedonian, Malagasy, Malay, Malayalam, Manx, Maori,
    Marathi, Mongolian, Nepali, Occitan, Oriya, Panjabi,
    Persian, Pushto, Scottish, Sinhala, Southern, Swahili,
    Tagalog, Tajik, Tamil, Tatar, Telugu, Thai, Tsonga,
    Turkmen, Uighur, Urdu, Uzbek, Uzbek, (Cyrillic), Walloon,
    Welsh, Western, Wolof, Xhosa, Yiddish, Yoruba, and Zulu.
  1.3.12
  * Fixed serious bug that caused corrupt files when editing
    images over 4.2GB in size.
- Dropped isomaster-1.3.11-docpath.patch now included upstream
* Sun Apr 20 2014 lazy.kent@opensuse.org
- Update to 1.13.11.
  * Fixed cygwin builds.
  * Added Bengali and Galician translation.
  * Updated Finnish translation.
  * Should work better with bigger than normal boot records now.
- Changes in 1.13.10.
  * Fixed bug where "out of memory" would be claimed sometimes
    because RockRidge records were missing.
- Add isomaster-1.3.11-docpath.patch: create MYDOCPATH directory.
- Disable isomaster-fix-linker.patch.
- Use desktop_database_post/un macros.
* Tue Mar 19 2013 malcolmlewis@opensuse.org
- Updated to version 1.3.9:
  + Added Slovak and Lithuanian translations.
  + Fixed potential crash when opening a file from the "Recently
    used" section.
- Add isomaster-fix-linker.patch: Revert linking to previous
  version.
- General spec file cleanup.
* Thu Jan  6 2011 pascal.bleser@opensuse.org
- update to 1.3.8: Japanese and Urdu translations were added
* Tue Jan  5 2010 toni@links2linux.de
- update to 1.3.7
- This release fixes a serious bug that would cause some images to
  be created with corrupted files inside.
* Sat Nov 21 2009 toni@links2linux.de
- rebuild with new upstream tarball to enable the bkisofs docs
* Mon Oct 19 2009 toni@links2linux.de
- update to 1.3.6
- A Latvian translation and an "open recent" feature were added. Some reliability
  bugs were fixed. The bkisofs documentation was added to the distribution
  tarball.
* Fri Jan  2 2009 toni@links2linux.de
- update to 1.3.5
* Sun Nov 30 2008 toni@links2linux.de
- update to 1.3.4
* Tue Jul  1 2008 toni@links2linux.de
- update to 1.3.3
* Sun Jun 29 2008 toni@links2linux.de
- update to 1.3.2
* Sun Feb  3 2008 toni@links2linux.de
- update to 1.3.1
* Tue Dec 18 2007 toni@links2linux.de
- update to 1.3
* Sat Oct 27 2007 toni@links2linux.de
- update to 1.2
* Tue Aug 28 2007 toni@links2linux.de
- update to 1.1
* Sun Jun 10 2007 toni@links2linux.de
- update to 1.0
* Mon Mar 19 2007 toni@links2linux.de
- update to 0.8.1
* Sat Mar 17 2007 toni@links2linux.de
- update to 0.8
* Fri Jan 12 2007 toni@links2linux.de
- update to 0.7
* Sun Dec 10 2006 toni@links2linux.de
- update to 0.6
- removed external iconmaster.png
* Sun Nov 26 2006 toni@links2linux.de
- added forgotten icons
* Sun Oct 29 2006 toni@links2linux.de
- update to 0.5
* Wed Sep 27 2006 toni@links2linux.de
- initial release
